org.kie.api.runtime.manager.audit

## Interface ProcessInstanceLog

-     public interface ProcessInstanceLog

  Audit view of process instance

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getDuration()` Amount of time (in milliseconds) that process instance took to complete.
    `Date` | `getEnd()` End date of this process instance, null if process instance is still active
    `String` | `getExternalId()` External (optional) identifier associated with this process instance
    `String` | `getIdentity()` Identifier of a entity (user) who initiated this process instance.
    `String` | `getOutcome()` Outcome of the process instance that is providing error information in case process instance completed with an error
    `Long` | `getParentProcessInstanceId()` Parent process instance id, will be null for top level process instance
    `String` | `getProcessId()` Process id of the definition
    `String` | `getProcessInstanceDescription()` Description of the process instance
    `Long` | `getProcessInstanceId()` Process instance identifier
    `String` | `getProcessName()` Name of the process definition
    `String` | `getProcessVersion()` Version of the process definition
    `Date` | `getStart()` Start date of this process instance
    `Integer` | `getStatus()` Status of the process instance and might be one of: ProcessInstance.STATE_ACTIVE ProcessInstance.STATE_COMPLETED ProcessInstance.STATE_ABORTED ProcessInstance.STATE_SUSPENDED

- - ### Method Detail

    - #### getProcessInstanceId

          Long getProcessInstanceId()

      Process instance identifier
      Returns:
        the `Long` value

    - #### getProcessId

          String getProcessId()

      Process id of the definition
      Returns:
        the `String` value

    - #### getStart

          Date getStart()

      Start date of this process instance
      Returns:
        the `Date` value

    - #### getEnd

          Date getEnd()

      End date of this process instance, null if process instance is still active
      Returns:
        the `Date` value

    - #### getStatus

          Integer getStatus()

      Status of the process instance and might be one of:
      - ProcessInstance.STATE_ACTIVE
      - ProcessInstance.STATE_COMPLETED
      - ProcessInstance.STATE_ABORTED
      - ProcessInstance.STATE_SUSPENDED
      Returns:
        the `Integer` value

    - #### getParentProcessInstanceId

          Long getParentProcessInstanceId()

      Parent process instance id, will be null for top level process instance
      Returns:
        the `Long` value

    - #### getOutcome

          String getOutcome()

      Outcome of the process instance that is providing error information in case process instance completed with an error
      Returns:
        the `String` value

    - #### getDuration

          Long getDuration()

      Amount of time (in milliseconds) that process instance took to complete. Available only when process instance is completed.
      Returns:
        the `String` value

    - #### getIdentity

          String getIdentity()

      Identifier of a entity (user) who initiated this process instance.
      Returns:
        the `String` value

    - #### getExternalId

          String getExternalId()

      External (optional) identifier associated with this process instance
      Returns:
        the `String` value

    - #### getProcessVersion

          String getProcessVersion()

      Version of the process definition
      Returns:
        the `String` value

    - #### getProcessName

          String getProcessName()

      Name of the process definition
      Returns:
        the `String` value

    - #### getProcessInstanceDescription

          String getProcessInstanceDescription()

      Description of the process instance
      Returns:
        the `String` value

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.